## xcp-networkd 0.9.5

=== debian/changelog ===
xcp-networkd (0.9.5-1) UNRELEASED; urgency=low

  * Update to 0.9.5 (now uses libnl)

 -- David Scott <dave.scott@citrix.com>  Sat, 27 Sep 2014 12:00:00 +0000

xcp-networkd (0.9.4-1) UNRELEASED; urgency=low

  * Update to 0.9.4
  * Add networkd_db CLI

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 04 Jun 2014 12:00:00 +0000

xcp-networkd (0.9.3-1) UNRELEASED; urgency=low

  * Update to 0.9.3

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 25 Sep 2013 12:00:00 +0000
