=== debian/control ===
Source: xcp-networkd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-inventory-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libstdext-ocaml-dev,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 ocaml-findlib,
 libffi-dev,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libxen-api-client-ocaml-dev,
 ocaml-xen-api-libs-transitional-dev,
 ocaml-netlink-dev,
 librpc-ocaml-dev,
 forkexecd-dev

Package: xcp-networkd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ethtool,
 lsb-base,
 libffi-dev,
 libnl-3-200,
 libnl-route-3-200
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple host network management service for the xapi toolstack
 Simple host networking management service for the xapi toolstack.
