## xcp-networkd 0.9.6

=== debian/changelog ===
xcp-networkd (0.9.6-1) UNRELEASED; urgency=low

  * Update to 0.9.6

 -- David Scott <dave.scott@citrix.com>  Wed, 11 Feb 2015 12:00:00 +0000
